Any and all kinds of contributions are welcome. I really appreciate you taking time to contribute to this open source project and help it grow and serve the Android world. :sunglasses:

Don't know how to help? :thinking: Even a small knowledgeable comment is a great contribution. :tada:

**More ideas:**
- Report bugs
- Suggest features or improvements
- Write tests (unit or UI)
- Improve docs
- Attend [issues](https://github.com/pvasa/cameraview-ex/issues)

### First contribution?

Refer [this guide](https://github.com/firstcontributions/first-contributions) to get started on your first contribution.

### Contributing A Patch

1. Submit an issue describing your proposed change to the repo in question.
1. The repo owner will respond to your issue promptly.
1. Once your proposed change is accepted, fork the desired repo, develop and test your code changes.
1. Ensure that your code adheres to the existing style in the code to which
   you are contributing. Refer to the
   [Android Kotlin Code Style Guide](https://developer.android.com/kotlin/style-guide)
   for the recommended coding standards for Android framework and
   [Kotlin Style Guide](https://kotlinlang.org/docs/reference/coding-conventions.html)
   for language specific code styling and standards.
1. Ensure that your code has an appropriate set of unit and UI tests which all pass.
1. Submit a pull request.